View Issue Details

IDProjectCategoryView StatusLast Update
0004830Talerotherpublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004830: Caching breaks payment
DescriptionThe tutorial merchant fails to finalize a payment because
when it visits the fulfillment page it soon gets the page from
a previous payment, resulting in NOT going through the payment
protocol implemented in the fulfillment page.
TagsNo tags attached.

Activities

Marcello Stanisci

2016-12-16 15:19

manager   ~0011593

Not a caching issue at all! Payments subsequent to a successful one would find the "payed" state still active
so would just show the fulfillment page from the previous
payment. Explicitly destroying the session fixed it (725e428).

Issue History

Date Modified Username Field Change
2016-12-05 17:16 Marcello Stanisci New Issue
2016-12-16 11:11 Marcello Stanisci Assigned To => Marcello Stanisci
2016-12-16 11:11 Marcello Stanisci Status new => assigned
2016-12-16 11:11 Marcello Stanisci Priority normal => high
2016-12-16 15:19 Marcello Stanisci Status assigned => resolved
2016-12-16 15:19 Marcello Stanisci Resolution open => fixed
2016-12-16 15:19 Marcello Stanisci Note Added: 0011593
2017-01-16 10:21 Christian Grothoff Product Version => SVN HEAD
2017-01-16 10:21 Christian Grothoff Fixed in Version => 0.3
2017-01-16 10:21 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed